/*
 * Copyright (C) 2000, 2001 Giuseppe Cupo
 *
 * TCFS protocol definitions
 * Definizione dell'header TCFS per Linux 
 */
#ifndef _LINUX_TCFS_H
#define _LINUX_TCFS_H

#define KEYSIZE		16

#define TCFS_HASH_SIZE		16  /* MD5 hash */
#define TCFS_HBLOCK_SIZE	1024
#define TCFS_BLOCK_SIZE		(TCFS_HBLOCK_SIZE-TCFS_HASH_SIZE)
#define TCFS_HEADER_SIZE	(1024-TCFS_HASH_SIZE)
#define TCFS_ENGINE_FIELD_SIZE	8
#define TCFS_FIELD_SIZE		0x0
#define TCFS_FIELD_ENGINE	0x1
#define TCFS_FIELD_FLAGS	0x2



//header TCFS-file for Linux
struct tcfs_header {
	char start[4];
	unsigned int flags;
	char engine[TCFS_ENGINE_FIELD_SIZE];
	off_t size;
	unsigned char file_key[KEYSIZE];
	char pad[TCFS_HEADER_SIZE-4-TCFS_ENGINE_FIELD_SIZE-sizeof(unsigned int)-sizeof(off_t)-KEYSIZE];
};

#endif
